Bug 742515 - (CVE-2011-3377) CVE-2011-3377 IcedTea-Web: second-level domain subdomains and suffix domain SOP bypass
CVE-2011-3377 IcedTea-Web: second-level domain subdomains and suffix domain S...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111108,repor...
: Security
Depends On: 744738 744739
Blocks: 742525
  Show dependency treegraph
 
Reported: 2011-09-30 08:21 EDT by Tomas Hoger
Modified: 2016-06-10 17:22 EDT (History)
7 users (show)

See Also:
Fixed In Version: IcedTea-Web 1.0.6, IcedTea-Web 1.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Deepak / Omair (3.58 KB, patch)
2011-10-07 06:07 EDT, Tomas Hoger
no flags Details | Diff
patch to correct the flaw in IcedTea-Web (3.58 KB, patch)
2011-10-25 16:37 EDT, Vincent Danen
no flags Details | Diff
patch for icedtea6 1.8 (6.57 KB, patch)
2011-11-02 10:31 EDT, Vincent Danen
no flags Details | Diff
patch for icedtea6 1.9 (6.57 KB, patch)
2011-11-02 10:31 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2011-09-30 08:21:01 EDT
Deepak Bhole discovered a flaw in the Same Origin Policy (SOP) implementation in the IcedTea project Web browser plugin.  A malicious applet could use this flaw to bypass SOP protection and open connections to any sub-domain of the second-level domain of the applet's origin, as well as any sub-domain of the domain that is the suffix of the origin second-level domain.  For example, IcedTea-Web plugin allowed applet from some.host.example.com to connect to other.host.example.com, www.example.com, and example.com, as well as www.ample.com or ample.com.
Comment 2 Tomas Hoger 2011-10-07 06:07:03 EDT
Created attachment 526854 [details]
Proposed patch from Deepak / Omair
Comment 5 Vincent Danen 2011-10-25 16:37:02 EDT
Created attachment 530174 [details]
patch to correct the flaw in IcedTea-Web

This is the patch that will be used in the upstream release.
Comment 6 Vincent Danen 2011-11-02 10:31:11 EDT
Created attachment 531362 [details]
patch for icedtea6 1.8
Comment 7 Vincent Danen 2011-11-02 10:31:45 EDT
Created attachment 531363 [details]
patch for icedtea6 1.9
Comment 9 errata-xmlrpc 2011-11-08 16:56:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1441 https://rhn.redhat.com/errata/RHSA-2011-1441.html

Note You need to log in before you can comment on or make changes to this bug.